Subject: Re: Yet another for the Gallery - F-14A
From: "Steve Bamford" <[email-masked]>
To: "Steve E" <[email-masked]>
Date: Tue, 3 Dec 2002 23:57:27 -0800

----- Original Message -----
From: "Steve E" <[email-masked]>
To: <[email-masked]>
Sent: Friday, November 01, 2002 9:52 AM
Subject: Yet another for the Gallery - F-14A

> Hey Steve,
>
> Here is Fujimi's 1/48 F-14A Tomcat kit.
>
> At the time this kit was built (1986), I thought Fujimi's offering of the
> Tomcat was the best out there. Hasagawa hadn't dazzled us yet with a
Tomcat
> and that wasn't to happen until several years later.
>
> This kit was "modernized" with a "current" 1986 paint job and markings for
> VF-142 - USS Eisenhower.
>
> The kit has Monogram ejection seats and Hasagawa Pilot and RIO figures in
> the cockpit. After a the Academy F-14 was released, I use the external
tanks
> and put them on this kit.
>
> I hope every one enjoys.
>
> Steve Eggers
>
>